﻿// ProduceItem.cs by Charles Petzold, March 2010
using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace ItemsControlTransitions
{
    public class ProduceItem: INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        string name, photo, message;

        [XmlAttribute]
        public string Name 
        {
            set
            {
                if (name != value)
                {
                    name = value;
                    OnPropertyChanged("Name");
                }
            }
            get
            {
                return name;
            }
        }

        [XmlAttribute]
        public string Photo 
        {
            set
            {
                if (photo != value)
                {
                    photo = value;
                    OnPropertyChanged("Photo");
                }
            }
            get
            {
                return photo;
            }
        }

        [XmlAttribute]
        public string Message
        {
            set
            {
                if (message != value)
                {
                    message = value;
                    OnPropertyChanged("Message");
                }
            }
            get
            {
                return message;
            }
        }

        protected virtual void OnPropertyChanged(string propChanged)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propChanged));
        }
    }
}
