﻿// ProduceItems.cs by Charles Petzold, March 2010
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ItemsControlTransitions
{
    public class ProduceItems : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        ObservableCollection<ProduceItem> items =
                        new ObservableCollection<ProduceItem>();

        public ObservableCollection<ProduceItem> Items
        {
            set
            {
                if (items != value)
                {
                    items = value;
                    OnPropertyChanged("Items");

                }
            }
            get
            {
                return items;
            }
        }

        protected virtual void OnPropertyChanged(string propChanged)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propChanged));
        }
    }
}
