﻿// ProduceItemsPresenter.cs by Charles Petzold, March 2010
using System;
using System.ComponentModel;
using System.IO;
using System.Net;
using System.Xml.Serialization;

namespace ItemsControlTransitions
{
    public class ProduceItemsPresenter : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        ProduceItems produceItems;

        public ProduceItemsPresenter()
        {
            Uri uri = new Uri("Data/ProduceItems.xml", UriKind.Relative);
            WebClient webClient = new WebClient();
            webClient.DownloadStringCompleted += OnDownloadStringCompleted;
            webClient.DownloadStringAsync(uri);
        }

        void OnDownloadStringCompleted(object sender, DownloadStringCompletedEventArgs args)
        {
            StringReader reader = new StringReader(args.Result);
            XmlSerializer xml = new XmlSerializer(typeof(ProduceItems));
            ProduceItems = xml.Deserialize(reader) as ProduceItems;
        }

        public ProduceItems ProduceItems
        {
            set
            {
                if (produceItems != value)
                {
                    produceItems = value;
                    OnPropertyChanged("ProduceItems");
                }
            }
            get
            {
                return produceItems;
            }
        }

        protected virtual void OnPropertyChanged(string propChanged)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propChanged));
        }
    }
}
